Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.pdfview.font.ttf
Class HeadTable

    java.lang.Object
      com.sun.pdfview.font.ttf.TrueTypeTable
          com.sun.pdfview.font.ttf.HeadTable

    public class HeadTable

extends TrueTypeTable

Field Summary

Fields inherited from class com.sun.pdfview.font.ttf.TrueTypeTable
`CMAP_TABLE, GLYF_TABLE, HEAD_TABLE, HHEA_TABLE, HMTX_TABLE, LOCA_TABLE, MAXP_TABLE, NAME_TABLE, POST_TABLE`

Constructor Summary
`protected` | `HeadTable()` Creates a new instance of HeadTable Makes up reasonable(?) defaults for all values

Method Summary
`int` | `getChecksumAdjustment()` Getter for property checksumAdjustment.
`long` | `getCreated()` Getter for property created.
`java.nio.ByteBuffer` | `getData()` Get the data we have stored
`short` | `getFlags()` Getter for property flags.
`short` | `getFontDirectionHint()` Getter for property fontDirectionHint.
`int` | `getFontRevision()` Getter for property fontRevision.
`short` | `getGlyphDataFormat()` Getter for property glyphDataFormat.
`short` | `getIndexToLocFormat()` Getter for property indexToLocFormat.
`int` | `getLength()` Get the length of this table
`short` | `getLowestRecPPem()` Getter for property lowestRecPPem.
`short` | `getMacStyle()` Getter for property macStyle.
`int` | `getMagicNumber()` Getter for property magicNumber.
`long` | `getModified()` Getter for property modified.
`short` | `getUnitsPerEm()` Getter for property unitsPerEm.
`int` | `getVersion()` Getter for property version.
`short` | `getXMax()` Getter for property xMax.
`short` | `getXMin()` Getter for property xMin.
`short` | `getYMax()` Getter for property yMax.
`short` | `getYMin()` Getter for property yMin.
`void` | `setChecksumAdjustment(int checksumAdjustment)` Setter for property checksumAdjustment.
`void` | `setCreated(long created)` Setter for property created.
`void` | `setData(java.nio.ByteBuffer data)` Parse the data before it is set
`void` | `setFlags(short flags)` Setter for property flags.
`void` | `setFontDirectionHint(short fontDirectionHint)` Setter for property fontDirectionHint.
`void` | `setFontRevision(int fontRevision)` Setter for property fontRevision.
`void` | `setGlyphDataFormat(short glyphDataFormat)` Setter for property glyphDataFormat.
`void` | `setIndexToLocFormat(short indexToLocFormat)` Setter for property indexToLocFormat.
`void` | `setLowestRecPPem(short lowestRecPPem)` Setter for property lowestRecPPem.
`void` | `setMacStyle(short macStyle)` Setter for property macStyle.
`void` | `setMagicNumber(int magicNumber)` Setter for property magicNumber.
`void` | `setModified(long modified)` Setter for property modified.
`void` | `setUnitsPerEm(short unitsPerEm)` Setter for property unitsPerEm.
`void` | `setVersion(int version)` Setter for property version.
`void` | `setXMax(short xMax)` Setter for property XMax.
`void` | `setXMin(short xMin)` Setter for property XMin.
`void` | `setYMax(short yMax)` Setter for property YMax.
`void` | `setYMin(short yMin)` Setter for property YMin.
`java.lang.String` | `toString()` Create a pretty string

Methods inherited from class com.sun.pdfview.font.ttf.TrueTypeTable
`createTable, createTable, getTag, stringToTag, tagToString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HeadTable

    protected HeadTable()

  Creates a new instance of HeadTable Makes up reasonable(?) defaults for all values

Method Detail

### setData

    public void setData(java.nio.ByteBuffer data)

  Parse the data before it is set

  Overrides:
    `setData` in class `TrueTypeTable`

### getData

    public java.nio.ByteBuffer getData()

  Get the data we have stored

  Overrides:
    `getData` in class `TrueTypeTable`

### getLength

    public int getLength()

  Get the length of this table

  Overrides:
    `getLength` in class `TrueTypeTable`

### getVersion

    public int getVersion()

  Getter for property version.

  Returns:
    Value of property version.

### getFontRevision

    public int getFontRevision()

  Getter for property fontRevision.

  Returns:
    Value of property fontRevision.

### getChecksumAdjustment

    public int getChecksumAdjustment()

  Getter for property checksumAdjustment.

  Returns:
    Value of property checksumAdjustment.

### getMagicNumber

    public int getMagicNumber()

  Getter for property magicNumber.

  Returns:
    Value of property magicNumber.

### getFlags

    public short getFlags()

  Getter for property flags.

  Returns:
    Value of property flags.

### getUnitsPerEm

    public short getUnitsPerEm()

  Getter for property unitsPerEm.

  Returns:
    Value of property unitsPerEm.

### getCreated

    public long getCreated()

  Getter for property created.

  Returns:
    Value of property created.

### getModified

    public long getModified()

  Getter for property modified.

  Returns:
    Value of property modified.

### getXMin

    public short getXMin()

  Getter for property xMin.

  Returns:
    Value of property xMin.

### getYMin

    public short getYMin()

  Getter for property yMin.

  Returns:
    Value of property yMin.

### getXMax

    public short getXMax()

  Getter for property xMax.

  Returns:
    Value of property xMax.

### getYMax

    public short getYMax()

  Getter for property yMax.

  Returns:
    Value of property yMax.

### getMacStyle

    public short getMacStyle()

  Getter for property macStyle.

  Returns:
    Value of property macStyle.

### getLowestRecPPem

    public short getLowestRecPPem()

  Getter for property lowestRecPPem.

  Returns:
    Value of property lowestRecPPem.

### getFontDirectionHint

    public short getFontDirectionHint()

  Getter for property fontDirectionHint.

  Returns:
    Value of property fontDirectionHint.

### getIndexToLocFormat

    public short getIndexToLocFormat()

  Getter for property indexToLocFormat.

  Returns:
    Value of property indexToLocFormat.

### getGlyphDataFormat

    public short getGlyphDataFormat()

  Getter for property glyphDataFormat.

  Returns:
    Value of property glyphDataFormat.

### setXMax

    public void setXMax(short xMax)

  Setter for property XMax.

  Parameters:
    `xMax` - New value of property XMax.

### setXMin

    public void setXMin(short xMin)

  Setter for property XMin.

  Parameters:
    `xMin` - New value of property XMin.

### setYMax

    public void setYMax(short yMax)

  Setter for property YMax.

  Parameters:
    `yMax` - New value of property YMax.

### setYMin

    public void setYMin(short yMin)

  Setter for property YMin.

  Parameters:
    `yMin` - New value of property YMin.

### setChecksumAdjustment

    public void setChecksumAdjustment(int checksumAdjustment)

  Setter for property checksumAdjustment.

  Parameters:
    `checksumAdjustment` - New value of property checksumAdjustment.

### setCreated

    public void setCreated(long created)

  Setter for property created.

  Parameters:
    `created` - New value of property created.

### setFlags

    public void setFlags(short flags)

  Setter for property flags.

  Parameters:
    `flags` - New value of property flags.

### setFontDirectionHint

    public void setFontDirectionHint(short fontDirectionHint)

  Setter for property fontDirectionHint.

  Parameters:
    `fontDirectionHint` - New value of property fontDirectionHint.

### setFontRevision

    public void setFontRevision(int fontRevision)

  Setter for property fontRevision.

  Parameters:
    `fontRevision` - New value of property fontRevision.

### setGlyphDataFormat

    public void setGlyphDataFormat(short glyphDataFormat)

  Setter for property glyphDataFormat.

  Parameters:
    `glyphDataFormat` - New value of property glyphDataFormat.

### setIndexToLocFormat

    public void setIndexToLocFormat(short indexToLocFormat)

  Setter for property indexToLocFormat.

  Parameters:
    `indexToLocFormat` - New value of property indexToLocFormat.

### setLowestRecPPem

    public void setLowestRecPPem(short lowestRecPPem)

  Setter for property lowestRecPPem.

  Parameters:
    `lowestRecPPem` - New value of property lowestRecPPem.

### setMacStyle

    public void setMacStyle(short macStyle)

  Setter for property macStyle.

  Parameters:
    `macStyle` - New value of property macStyle.

### setMagicNumber

    public void setMagicNumber(int magicNumber)

  Setter for property magicNumber.

  Parameters:
    `magicNumber` - New value of property magicNumber.

### setModified

    public void setModified(long modified)

  Setter for property modified.

  Parameters:
    `modified` - New value of property modified.

### setUnitsPerEm

    public void setUnitsPerEm(short unitsPerEm)

  Setter for property unitsPerEm.

  Parameters:
    `unitsPerEm` - New value of property unitsPerEm.

### setVersion

    public void setVersion(int version)

  Setter for property version.

  Parameters:
    `version` - New value of property version.

### toString

    public java.lang.String toString()

  Create a pretty string

  Overrides:
    `toString` in class `TrueTypeTable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD